QBitVal(3qt)

NAME
QBitVal - Internal class, used with QBitArray

SYNOPSIS

#include <qbitarray.h>

  Public Members
QBitVal ( QBitArray * a, uint i )
operator int ()
QBitVal& operator= ( const QBitVal & v )
QBitVal& operator= ( int v )

DESCRIPTION
The QBitVal class is an internal class, used with QBitArray.

The QBitVal is required by the indexing [] operator on bit arrays. It is probably a bad idea to use it in any other context.

MEMBER FUNCTION DOCUMENTATION

QBitVal::QBitVal ( QBitArray * a, uint i )
Constructs a reference to an element in a QBitArray. This is what QBitArray::operator[] contructs its return value with.

QBitVal::operator int ()
Returns the value referenced by the QBitVal.

QBitVal& QBitVal::operator= ( const QBitVal & v )
Sets the value referenced by the QBitVal to that referenced by another QBitVal.

QBitVal& QBitVal::operator= ( int v )
Sets the value referenced by the QBitVal.

SEE ALSO
http://www.troll.no/qt/qbitval.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.